if (CMAKE_VERSION VERSION_LESS 3.1.0)
    message(FATAL_ERROR "Qt 5 MultimediaAVPlayer module requires at least CMake version 3.1.0")
endif()

set(_qt5MultimediaAVPlayer_install_prefix "/usr/lib64/qt5")

# For backwards compatibility only. Use Qt5MultimediaAVPlayer_VERSION instead.
set(Qt5MultimediaAVPlayer_VERSION_STRING 5.15.11)

set(Qt5MultimediaAVPlayer_LIBRARIES Qt5::MultimediaAVPlayer)

macro(_qt5_MultimediaAVPlayer_check_file_exists file)
    if(NOT EXISTS "${file}" )
        message(FATAL_ERROR "The imported target \"Qt5::MultimediaAVPlayer\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
endmacro()


macro(_populate_MultimediaAVPlayer_target_properties Configuration LIB_LOCATION IMPLIB_LOCATION
      IsDebugAndRelease)
    set_property(TARGET Qt5::MultimediaAVPlayer APPEND PROPERTY IMPORTED_CONFIGURATIONS ${Configuration})

    set(imported_location "/usr/lib64/${LIB_LOCATION}")
    _qt5_MultimediaAVPlayer_check_file_exists(${imported_location})
    set(_deps
        ${_Qt5MultimediaAVPlayer_LIB_DEPENDENCIES}
    )
    set(_static_deps
    )

    set_target_properties(Qt5::MultimediaAVPlayer PROPERTIES
        "IMPORTED_LOCATION_${Configuration}" ${imported_location}
        "IMPORTED_SONAME_${Configuration}" "libQt5MultimediaAVPlayer.so.5"
        # For backward compatibility with CMake < 2.8.12
        "IMPORTED_LINK_INTERFACE_LIBRARIES_${Configuration}" "${_deps};${_static_deps}"
    )
    set_property(TARGET Qt5::MultimediaAVPlayer APPEND PROPERTY INTERFACE_LINK_LIBRARIES
                 "${_deps}"
    )


endmacro()

if (NOT TARGET Qt5::MultimediaAVPlayer)

    set(_Qt5MultimediaAVPlayer_OWN_INCLUDE_DIRS "/usr/include/qt5/" "/usr/include/qt5/QtMultimediaAVPlayer")
    set(Qt5MultimediaAVPlayer_PRIVATE_INCLUDE_DIRS
        "/usr/include/qt5/QtMultimediaAVPlayer/5.15.11"
        "/usr/include/qt5/QtMultimediaAVPlayer/5.15.11/QtMultimediaAVPlayer"
    )

    foreach(_dir ${_Qt5MultimediaAVPlayer_OWN_INCLUDE_DIRS})
        _qt5_MultimediaAVPlayer_check_file_exists(${_dir})
    endforeach()

    # Only check existence of private includes if the Private component is
    # specified.
    list(FIND Qt5MultimediaAVPlayer_FIND_COMPONENTS Private _check_private)
    if (NOT _check_private STREQUAL -1)
        foreach(_dir ${Qt5MultimediaAVPlayer_PRIVATE_INCLUDE_DIRS})
            _qt5_MultimediaAVPlayer_check_file_exists(${_dir})
        endforeach()
    endif()

    set(Qt5MultimediaAVPlayer_INCLUDE_DIRS ${_Qt5MultimediaAVPlayer_OWN_INCLUDE_DIRS})

    set(Qt5MultimediaAVPlayer_DEFINITIONS -DQT_MULTIMEDIAAVPLAYER_LIB)
    set(Qt5MultimediaAVPlayer_COMPILE_DEFINITIONS QT_MULTIMEDIAAVPLAYER_LIB)
    set(_Qt5MultimediaAVPlayer_MODULE_DEPENDENCIES "Multimedia;Multimedia;Concurrent")


    set(Qt5MultimediaAVPlayer_OWN_PRIVATE_INCLUDE_DIRS ${Qt5MultimediaAVPlayer_PRIVATE_INCLUDE_DIRS})

    set(_Qt5MultimediaAVPlayer_FIND_DEPENDENCIES_REQUIRED)
    if (Qt5MultimediaAVPlayer_FIND_REQUIRED)
        set(_Qt5MultimediaAVPlayer_FIND_DEPENDENCIES_REQUIRED REQUIRED)
    endif()
    set(_Qt5MultimediaAVPlayer_FIND_DEPENDENCIES_QUIET)
    if (Qt5MultimediaAVPlayer_FIND_QUIETLY)
        set(_Qt5MultimediaAVPlayer_DEPENDENCIES_FIND_QUIET QUIET)
    endif()
    set(_Qt5MultimediaAVPlayer_FIND_VERSION_EXACT)
    if (Qt5MultimediaAVPlayer_FIND_VERSION_EXACT)
        set(_Qt5MultimediaAVPlayer_FIND_VERSION_EXACT EXACT)
    endif()

    set(Qt5MultimediaAVPlayer_EXECUTABLE_COMPILE_FLAGS "")

    foreach(_module_dep ${_Qt5MultimediaAVPlayer_MODULE_DEPENDENCIES})
        if (NOT Qt5${_module_dep}_FOUND)
            find_package(Qt5${_module_dep}
                5.15.11 ${_Qt5MultimediaAVPlayer_FIND_VERSION_EXACT}
                ${_Qt5MultimediaAVPlayer_DEPENDENCIES_FIND_QUIET}
                ${_Qt5MultimediaAVPlayer_FIND_DEPENDENCIES_REQUIRED}
                PATHS "${CMAKE_CURRENT_LIST_DIR}/.." NO_DEFAULT_PATH
            )
        endif()

        if (NOT Qt5${_module_dep}_FOUND)
            set(Qt5MultimediaAVPlayer_FOUND False)
            return()
        endif()

        list(APPEND Qt5MultimediaAVPlayer_INCLUDE_DIRS "${Qt5${_module_dep}_INCLUDE_DIRS}")
        list(APPEND Qt5MultimediaAVPlayer_PRIVATE_INCLUDE_DIRS "${Qt5${_module_dep}_PRIVATE_INCLUDE_DIRS}")
        list(APPEND Qt5MultimediaAVPlayer_DEFINITIONS ${Qt5${_module_dep}_DEFINITIONS})
        list(APPEND Qt5MultimediaAVPlayer_COMPILE_DEFINITIONS ${Qt5${_module_dep}_COMPILE_DEFINITIONS})
        list(APPEND Qt5MultimediaAVPlayer_EXECUTABLE_COMPILE_FLAGS ${Qt5${_module_dep}_EXECUTABLE_COMPILE_FLAGS})
    endforeach()
    list(REMOVE_DUPLICATES Qt5MultimediaAVPlayer_INCLUDE_DIRS)
    list(REMOVE_DUPLICATES Qt5MultimediaAVPlayer_PRIVATE_INCLUDE_DIRS)
    list(REMOVE_DUPLICATES Qt5MultimediaAVPlayer_DEFINITIONS)
    list(REMOVE_DUPLICATES Qt5MultimediaAVPlayer_COMPILE_DEFINITIONS)
    list(REMOVE_DUPLICATES Qt5MultimediaAVPlayer_EXECUTABLE_COMPILE_FLAGS)

    # It can happen that the same FooConfig.cmake file is included when calling find_package()
    # on some Qt component. An example of that is when using a Qt static build with auto inclusion
    # of plugins:
    #
    # Qt5WidgetsConfig.cmake -> Qt5GuiConfig.cmake -> Qt5Gui_QSvgIconPlugin.cmake ->
    # Qt5SvgConfig.cmake -> Qt5WidgetsConfig.cmake ->
    # finish processing of second Qt5WidgetsConfig.cmake ->
    # return to first Qt5WidgetsConfig.cmake ->
    # add_library cannot create imported target Qt5::Widgets.
    #
    # Make sure to return early in the original Config inclusion, because the target has already
    # been defined as part of the second inclusion.
    if(TARGET Qt5::MultimediaAVPlayer)
        return()
    endif()

    set(_Qt5MultimediaAVPlayer_LIB_DEPENDENCIES "Qt5::Multimedia;Qt5::Multimedia;Qt5::Concurrent")


    add_library(Qt5::MultimediaAVPlayer SHARED IMPORTED)


    set_property(TARGET Qt5::MultimediaAVPlayer PROPERTY
      INTERFACE_INCLUDE_DIRECTORIES ${_Qt5MultimediaAVPlayer_OWN_INCLUDE_DIRS})
    set_property(TARGET Qt5::MultimediaAVPlayer PROPERTY
      INTERFACE_COMPILE_DEFINITIONS QT_MULTIMEDIAAVPLAYER_LIB)

    set_property(TARGET Qt5::MultimediaAVPlayer PROPERTY INTERFACE_QT_ENABLED_FEATURES )
    set_property(TARGET Qt5::MultimediaAVPlayer PROPERTY INTERFACE_QT_DISABLED_FEATURES )

    # Qt 6 forward compatible properties.
    set_property(TARGET Qt5::MultimediaAVPlayer
                 PROPERTY QT_ENABLED_PUBLIC_FEATURES
                 )
    set_property(TARGET Qt5::MultimediaAVPlayer
                 PROPERTY QT_DISABLED_PUBLIC_FEATURES
                 )
    set_property(TARGET Qt5::MultimediaAVPlayer
                 PROPERTY QT_ENABLED_PRIVATE_FEATURES
                 )
    set_property(TARGET Qt5::MultimediaAVPlayer
                 PROPERTY QT_DISABLED_PRIVATE_FEATURES
                 )

    set_property(TARGET Qt5::MultimediaAVPlayer PROPERTY INTERFACE_QT_PLUGIN_TYPES "")

    set(_Qt5MultimediaAVPlayer_PRIVATE_DIRS_EXIST TRUE)
    foreach (_Qt5MultimediaAVPlayer_PRIVATE_DIR ${Qt5MultimediaAVPlayer_OWN_PRIVATE_INCLUDE_DIRS})
        if (NOT EXISTS ${_Qt5MultimediaAVPlayer_PRIVATE_DIR})
            set(_Qt5MultimediaAVPlayer_PRIVATE_DIRS_EXIST FALSE)
        endif()
    endforeach()

    if (_Qt5MultimediaAVPlayer_PRIVATE_DIRS_EXIST)
        add_library(Qt5::MultimediaAVPlayerPrivate INTERFACE IMPORTED)
        set_property(TARGET Qt5::MultimediaAVPlayerPrivate PROPERTY
            INTERFACE_INCLUDE_DIRECTORIES ${Qt5MultimediaAVPlayer_OWN_PRIVATE_INCLUDE_DIRS}
        )
        set(_Qt5MultimediaAVPlayer_PRIVATEDEPS)
        foreach(dep ${_Qt5MultimediaAVPlayer_LIB_DEPENDENCIES})
            if (TARGET ${dep}Private)
                list(APPEND _Qt5MultimediaAVPlayer_PRIVATEDEPS ${dep}Private)
            endif()
        endforeach()
        set_property(TARGET Qt5::MultimediaAVPlayerPrivate PROPERTY
            INTERFACE_LINK_LIBRARIES Qt5::MultimediaAVPlayer ${_Qt5MultimediaAVPlayer_PRIVATEDEPS}
        )

        # Add a versionless target, for compatibility with Qt6.
        if(NOT "${QT_NO_CREATE_VERSIONLESS_TARGETS}" AND NOT TARGET Qt::MultimediaAVPlayerPrivate)
            add_library(Qt::MultimediaAVPlayerPrivate INTERFACE IMPORTED)
            set_target_properties(Qt::MultimediaAVPlayerPrivate PROPERTIES
                INTERFACE_LINK_LIBRARIES "Qt5::MultimediaAVPlayerPrivate"
            )
        endif()
    endif()

    _populate_MultimediaAVPlayer_target_properties(RELEASE "libQt5MultimediaAVPlayer.so.5.15.11" "" FALSE)







    _qt5_MultimediaAVPlayer_check_file_exists("${CMAKE_CURRENT_LIST_DIR}/Qt5MultimediaAVPlayerConfigVersion.cmake")
endif()

# Add a versionless target, for compatibility with Qt6.
if(NOT "${QT_NO_CREATE_VERSIONLESS_TARGETS}" AND TARGET Qt5::MultimediaAVPlayer AND NOT TARGET Qt::MultimediaAVPlayer)
    add_library(Qt::MultimediaAVPlayer INTERFACE IMPORTED)
    set_target_properties(Qt::MultimediaAVPlayer PROPERTIES
        INTERFACE_LINK_LIBRARIES "Qt5::MultimediaAVPlayer"
    )
endif()
